# FIXME study http://qa.mandrakesoft.com/twiki/bin/view/Main/RpmHowTo
# to make sure this is all fine with Mandrake.
%define name Thuban
%define version 1.0.1

Summary: Geographic data viewer
Name: %{name}
Version: %{version}
Release: 2.100mdk
Epoch: 1
Source0: %{name}-%{version}.tar.gz
# solves the Mandrake 10.0 specialities: wxPython is unicode and 
# Python always as defaultencoding 'ascii'.
Patch0: thuban-mandrake100.patch
# intermediate solution for encoding problem with projections
Patch1: thuban-proj.patch
License: GPL
Group: Sciences/Geosciences
BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}
URL: http://thuban.intevation.de/
Packager: Bernhard Reiter <bernhard.reiter@intevation.de>
Vendor: Intevation Thuban Testing Crew

# Switching off automatic requirements building.
AutoReq: 0
BuildRequires: libwxPythonGTK2.4-devel, proj-devel, gdal-devel
Requires: wxPythonGTK, python-sqlite, proj

%description
Thuban is a viewer for geographic data written in Python


%prep
%setup
%patch0 -p1
%patch1 -p0

cp libraries/pyshapelib/{README,README.pyshapelib}
cp libraries/pyshapelib/{COPYING,COPYING.pyshapelib}
cp libraries/pyprojection/{LICENSE,LICENSE.pyprojection}


%build
env PATH="/usr/lib/wxPython/bin:$PATH" CFLAGS="$RPM_OPT_FLAGS" python setup.py build


%install
rm -rf %{buildroot}
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES    --prefix=/usr
#cp -a %{_builddir}/%{name}/PyOGCLib/ogclib %{buildroot}/%{_libdir}/thuban

# Commented out since mapserver package is not available by now
# Installation files for umn-mapserver package
#cp -a Extensions/umn_mapserver %{buildroot}%{_libdir}/thuban/Extensions



%clean
rm -rf %{_builddir}/%{name}
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
#%{_libdir}/thuban/ogclib/*
%doc README COPYING libraries/pyshapelib/README.pyshapelib libraries/pyshapelib/COPYING.pyshapelib libraries/pyprojection/LICENSE.pyprojection


# Commented out since mapserver package is not available by now
#%files  umn-mapserver
#%defattr(-,root,root)
#%{_libdir}/thuban/Extensions/umn_mapserver/*

%Changelog 
* Tue Jan 25 2005 Bernhard Reiter <bernhard.reiter@intevation.net> 1.0.1-2.100mdk
- Added patch to delete the projection with utf-8 characters.
- Removed unnecessary shapelib* dependencies.
- Switched around the mdk in the Release information to better match the style.
- Turned off automatic requirement collection and added build req gdal-devel
  so I can build it with gdal support without getting the hard dependency.
- Added Packager and corrected Vendor tag.
- Used official Mandrake Group: Sciences/Geosciences now.

* Sat Jan 22 2005 Bernhard Reiter <bernhard.reiter@intevation.net>
- Initial build for Mandrake 10.0.
  Spec file based on Silke Reimer's Thuban-1.0.0-1.fdr.2.src.rpm.

  Special trick: because there are two wxGTK path, the one for
  wxPython must come first, or we get crashes. Also have a patch
  dealing with the speciality of Mandrake's Python and wxPython packages.
  
